% MH-20210116

# 原解

~~~
1 * 5 = 5

2 * 4 = 8

3 * 3 = 9
~~~

# 扩展

## 问

给定一个由数个小正整数累加起来的大正整数，问这些小正整数的值为多少才能让这些小正整数的累乘值最大

### 答

非 3 即 2

### 解

可能的值有 1 ~ 正无穷

由指数爆炸性可知，只需要考虑 2 3 4

由 4 是 2 的倍数可知，只需要考虑 2 3

由某些正整数不能被 2 整除可知，需要 3

由某些正整数不能被 3 整除可知，需要 2

故，非 3 即 2

取 2 3 的最小公倍数 6

~~~
2 ^ 3 = 8

3 ^ 3 = 9
~~~

故，优先选 3

